

/*----------------------------------------//
//----------NOTIFICATION STYLE------------//
//----------------------------------------*/
#notificationWrapper{
  font-family: 'Roboto', sans-serif;
  font-size: 20px;
  color: whitesmoke;
  display: none;
  padding: 20px;
  border-radius: 10px;
  position: absolute;
  width: 300px;
  height: auto;
  z-index: 200;
  right: 335px;
  top: 10px;
  user-select: none;
}
#rightBarNotification{
  width: 325px;
  height: 100%;
  position: absolute;
  top: 0px;
  right: 0px;
  resize: both;
  z-index: 200;
}
.error{  
  background-color: #391313;
  border: 1px solid #cc2d2d;
}
.warning{
  background-color: #3f2f0d;
  border: 1px solid #cc942d;
}
.success{
  background-color: #0d3f22;
  border: 1px solid #2dcd70;
}


/*----------------------------------------//
//-----------RIGHT BAR STYLE--------------//
//----------------------------------------*/
#rightBarWrapper {
  font-family: 'Roboto', sans-serif;
  color: whitesmoke;
  width: auto;
  background-color: #181a1b;
  height: 100%;
  border-left: 1px solid #323638;
  position: relative;
  top: 0px;
  right: 0px;
  resize: both;
  z-index: 200;
}
.rightBarSection{
  border: 1px solid #383d3f; 
  display: block;
  border-radius: 10px;
  padding: 5px;
  margin-left: auto;
  margin-right: auto;
  width: 90%;
  position: relative;
  top: 10px;
  margin-bottom: 10px;
}


/*----------------------------------------//
//----------SWITCH BUTTON STYLE-----------//
//----------------------------------------*/
.switchButtonWrapper{
  width: 95%;
  display: block;
  margin-left: auto;
  margin-right: auto;
  display: flex;
  justify-content: center;
  border-radius: 10px;
  border: 1px solid #383d3f;
  margin-top:5px;
  margin-bottom: 5px;
  overflow: hidden;
}
.switchButton{
  border:0;
  background-color: #181a1b;
  width: 50%;
}
.switchButton.active{
  background-color: rgba(13, 68, 141, 0.63) !important;
  border-radius: 10px;
}


/*----------------------------------------//
//----------GRAPH CANVAS STYLE------------//
//----------------------------------------*/
#canvasWrapper{
  position: absolute;
  height: 100%;
  top:0px;
  left:0px;
}
#canvas{
    position: relative;
    margin: 0px;
    width: 100%;
}
#tableButtons{
  display: inline-block;
  user-select: none;
  position: absolute;
  width: auto;
}


/*----------------------------------------//
//--------GENERAL ELEMENTS STYLE----------//
//----------------------------------------*/
body {
  margin: 0;
  padding: 0;
  background-color: #181a1b;
}
button{
  text-align: center;
  font-family: 'Roboto', sans-serif;
  display: inline-block;
  font-size: 20px;
  color: whitesmoke;
  cursor: pointer;
}
button:active, button:focus, input:active, input:focus{
  outline: none;
  box-shadow: none;
  border:0;

}
input[type=number]::-webkit-inner-spin-button, 
input[type=number]::-webkit-outer-spin-button { 
    -webkit-appearance: none;
    -moz-appearance: none;
    appearance: none;
    margin: 0; 
}


/*----------------------------------------//
//-----------ADD BUTTON STYLE-------------//
//----------------------------------------*/
#addButtonWrapper{
  position: relative;
  display: inline-block;
  width: fit-content;
  z-index: 30;
  border-collapse:collapse;
  width: 140px;
}
#addButtonWrapper button{
  background-color: #181a1b;
  border: 1px solid #383d3f;
  width: 80px;
  margin-left: 10px;
  margin-top: 10px;
  height: 80%;
  border-top-left-radius: 10px;
  border-bottom-left-radius: 10px;
}
#addButtonWrapper button:hover{
  border: 1px solid whitesmoke !important;
}
#addButtonWrapper button:active{  
  background-color: #272a2c;
}
.plus{
  color: greenyellow;
}
#addButtonWrapper button.active{
  border: solid 1px #e84848 !important; 
}
#addButtonWrapper button.active span.cancel{
  display: block !important;
}
#addButtonWrapper button.active span.add{
  display: none !important;
}
#addButtonWrapper button span.cancel{
  display: none !important;
}
#addButtonWrapper button span.add{
  display: block !important;
}
#addButtonWrapper input{
  text-align: center;
  width: 10%;
  font-family: 'Roboto', sans-serif;
  font-size: 20px;
  color: whitesmoke;
  background-color: #383d3f;
  border: 0;
  height: 100%;
  outline: 1px solid #383d3f;
  padding: 0;
  display: inline-block;
  margin:0;
  border: 1px solid #383d3f; 
  width: 30%;
}
#addButtonWrapper button input:active{
  outline: 1px solid #383d3f !important; 
  border: 1px solid #383d3f !important; 
}
.addButtonWrapper{
  display: block;
}


/*----------------------------------------//
//-----------EDIT ITEM STYLE--------------//
//----------------------------------------*/
#editItemWrapper{
  font-family: 'Roboto', sans-serif;
  font-size: 20px;
  color: whitesmoke;
  display: none;
  padding:20px;
  background-color: #181a1b;
  border: 1px solid #323638;
  border-radius: 10px;
  position: absolute;
  bottom: 10px;
  left: 10px;
  z-index: 200;
}
#itemId{
  white-space: pre;
}


/*----------------------------------------//
//--------ADJ MATRIX TABLE STYLE----------//
//----------------------------------------*/
#tableWrapper{
  position: relative;
  display: none;
  background-color: #181a1b;
  width: fit-content;
  z-index: 100;
}
#adjMatrixTable{
  display: inline-block;
  position: relative;
  font-family: 'Raleway', sans-serif;
  font-size: 25px;
  font-weight: 100;
  color: whitesmoke;
  border-collapse:collapse;
  border-bottom: 1px solid #323638;
  border-right: 1px solid #323638;
  border-bottom-right-radius: 10px;
}
#adjMatrixTitle{
  display: block;
  min-width: 125px;
  padding-left: 5px;
  padding-top: 5px;
  border-bottom: 1px solid #323638;
  margin:0px;
  height: 30px;
  position: relative;
  font-family: 'Roboto', sans-serif;
  font-size: 20px;
  color: whitesmoke;
  border-right: 1px solid #323638;
}
#adjMatrixTable tr, #adjMatrixTableth, #adjMatrixTable td{
  width: 35px !important;
  height: 35px !important;
  position: relative;
  padding: 0px;
  margin: 0px;
  text-align: center;
  border-width: min(1px, 0.1em);

}
#adjMatrixTable td{
  cursor: pointer;
}
#adjMatrixTable th{
  width: 28px;
  height: 28px;
  font-size: 25px;
  font-family: 'Roboto', sans-serif;
  font-weight: 300;
}
.minimizeButton, .maximizeButton{
  color: whitesmoke;
  height: 40%;
  float: right;
  right: 10px;
  top: 23%;
  position: relative;
  background-color: transparent;
  border: 1px solid #ff0000ad !important;
  cursor: pointer;
  display: inline-flex;
  align-items: flex-end; 
}
.minimizeButton:hover{
  background-color: #ff0000ad;;
}

.maximizeButton{
  border: 1px solid rgb(172, 140, 0) !important;
}

.maximizeButton:hover{
  background-color: rgb(172, 140, 0);
}

.maximizeButton::after, .minimizeButton::after{
  content: " ";
  height: 1px;
  width: 5px;
  background-color: whitesmoke;
}
.minimizeButton::after{
  height: 1px;
  width: 5px;
}
.maximizeButton::after{
  height: 4px;
  width: 6px;
  background-color: transparent;
  border: 1px solid whitesmoke;
}


/*----------------------------------------//
//-----------GRAPH INFO STYLE-------------//
//----------------------------------------*/
#graphInfoTable{
  position: relative;
  border-collapse:collapse;
  display: block;
  margin-left: auto;
  margin-right: auto;
  width: 95%;
  table-layout: fixed;
}
#graphInfoTable tr{
  position: relative;
  text-align: left;
  border-top: 1px solid #323638;
  padding: 5px;
}
#graphInfoTable tbody tr:first-of-type{
  border-top: none;
}
#graphInfoTable th{
  position: relative;
  padding: 5px;
}